/*	Copyright (C) 2003-2013 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#include "openil.pmh"
#include "platform/dlCore.cc"

using namespace fe;

extern "C"
{

FE_DL_EXPORT void ListDependencies(List<String*>& list)
{
//	list.append(new String("feSignalDL"));
}

FE_DL_EXPORT Library* CreateLibrary(sp<Master> spMaster)
{
	Library *pLibrary = new Library();

	pLibrary->add<ImageIL>("ImageI.ImageIL.fe");
	pLibrary->add<ImageIL>("ImageI.ImageIL.fe.bmp");
	pLibrary->add<ImageIL>("ImageI.ImageIL.fe.pgm");
	pLibrary->add<ImageIL>("ImageI.ImageIL.fe.png");
	pLibrary->add<ImageIL>("ImageI.ImageIL.fe.rgb");
	pLibrary->add<ImageIL>("ImageI.ImageIL.fe.tga");
	pLibrary->add<ImageIL>("ImageI.ImageIL.fe.tif");

	return pLibrary;
}

FE_DL_EXPORT void InitializeLibrary(sp<Library> spLibrary)
{
	spLibrary->registry()->prioritize("ImageI.ImageIL.fe",1);
}

}
