/*	Copyright (C) 2003-2013 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#ifndef __oplab_PuppetOp_h__
#define __oplab_PuppetOp_h__

namespace fe
{

/**************************************************************************//**
	@brief manipulate joint transforms

	@ingroup oplab
*//***************************************************************************/
class FE_DL_EXPORT PuppetOp:
	public OperatorState,
	public Initialize<PuppetOp>
{
	public:

						PuppetOp(void):
							m_brushed(FALSE)								{}
virtual					~PuppetOp(void)										{}

		void			initialize(void);

						//* As HandlerI
virtual	void			handle(Record& a_rSignal);

	private:
		sp<SurfaceAccessibleI>				m_spOutputAccessible;

		sp<Scope>							m_spScope;

		sp<DrawMode>						m_spWireframe;
		sp<DrawMode>						m_spSolid;

		BWORD								m_brushed;
		WindowEvent							m_event;

		std::map<String,SpatialTransform>	m_animMap;

};

} /* namespace */

#endif /* __oplab_PuppetOp_h__ */
